Package org.eclipse.birt.chart.model.type.impl

# Class ScatterSeriesImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.component.impl.SeriesImpl
org.eclipse.birt.chart.model.type.impl.LineSeriesImpl
org.eclipse.birt.chart.model.type.impl.ScatterSeriesImpl

All Implemented Interfaces:
  `Series`, `IChartObject`, `LineSeries`, `ScatterSeries`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

Direct Known Subclasses:
  `BubbleSeriesImpl`

public class ScatterSeriesImpl extends LineSeriesImpl implements ScatterSeries
An implementation of the model object ' Scatter Series'.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`canBeStacked()`
Indicates if this series type may be rendered stacked with other series instances of the same type NOTE: Manually written
`final boolean`
`canParticipateInCombination()`
This method should return true if the series type can be used in a combination chart.
`ScatterSeries`
`copyInstance()`
`static Series`
`create()`
A convenience method to create an initialized 'Series' instance
`static Series`
`createDefault()`
A convenience method to create an initialized 'Series' instance
`String`
`getDisplayName()`
This method should return a user-friendly name for the series type.

### Methods inherited from class org.eclipse.birt.chart.model.type.impl.LineSeriesImpl

`basicSetLineAttributes, basicSetMarker, basicSetShadowColor, canShareAxisUnit, eGet, eInverseRemove, eIsSet, eSet, eUnset, getLineAttributes, getMarker, getMarkers, getShadowColor, isConnectMissingValue, isCurve, isPaletteLineColor, isSetConnectMissingValue, isSetCurve, isSetPaletteLineColor, setConnectMissingValue, setCurve, setLineAttributes, setMarker, setPaletteLineColor, setShadowColor, toString, translateFrom, unsetConnectMissingValue, unsetCurve, unsetPaletteLineColor`

### Methods inherited from class org.eclipse.birt.chart.model.component.impl.SeriesImpl

`basicSetCursor, basicSetCurveFitting, basicSetDataPoint, basicSetLabel, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getDefinedDataDefinitionIndex, getLabel, getLabelPosition, getLabelPositionScope, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isSingleCache, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.birt.chart.model.type.LineSeries

`getLineAttributes, getMarker, getMarkers, getShadowColor, isConnectMissingValue, isCurve, isPaletteLineColor, isSetConnectMissingValue, isSetCurve, isSetPaletteLineColor, setConnectMissingValue, setCurve, setLineAttributes, setMarker, setPaletteLineColor, setShadowColor, unsetConnectMissingValue, unsetCurve, unsetPaletteLineColor`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.birt.chart.model.component.Series

`canShareAxisUnit, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getDefinedDataDefinitionIndex, getLabel, getLabelPosition, getLabelPositionScope, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isSingleCache, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, translateFrom, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

## Method Details

### canBeStacked

public final boolean canBeStacked()
Description copied from interface: `Series`
Indicates if this series type may be rendered stacked with other series instances of the same type NOTE: Manually written

Specified by:
  `canBeStacked` in interface `Series`
Overrides:
  `canBeStacked` in class `LineSeriesImpl`
Returns:
  true means this series can be stacked

### canParticipateInCombination

public final boolean canParticipateInCombination()
Description copied from interface: `Series`
This method should return true if the series type can be used in a combination chart. NOTE: Manually written

Specified by:
  `canParticipateInCombination` in interface `Series`
Overrides:
  `canParticipateInCombination` in class `LineSeriesImpl`
Returns:
  true means this series can be used in combination chart

### create

public static Series create()
A convenience method to create an initialized 'Series' instance

Returns:

### createDefault

public static Series createDefault()
A convenience method to create an initialized 'Series' instance

Returns:

### getDisplayName

public String getDisplayName()
Description copied from interface: `Series`
This method should return a user-friendly name for the series type. NOTE: Manually written

Specified by:
  `getDisplayName` in interface `Series`
Overrides:
  `getDisplayName` in class `LineSeriesImpl`
Returns:
  display name for the series type

### copyInstance

public ScatterSeries copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `LineSeries`
Specified by:
  `copyInstance` in interface `ScatterSeries`
Specified by:
  `copyInstance` in interface `Series`
Overrides:
  `copyInstance` in class `LineSeriesImpl`